'use strict';


var vAPI = window.vAPI = vAPI instanceof Object && vAPI.dExt0 === true
    ? vAPI
    : { dExt0: true };


(function(self) {
  var chrome = self.chrome;
  vAPI.extension = chrome.extension;
  vAPI.extid = chrome.runtime.id;
  vAPI.getURL = chrome.runtime.getURL;
  // valid for chrome and webext firefox
  vAPI.storage = chrome.storage.local;
  vAPI.getManifest = chrome.runtime && chrome.runtime.getManifest;
  vAPI.onMessage = chrome.runtime && chrome.runtime.onMessage;
  vAPI.sendMessage = chrome.runtime && chrome.runtime.sendMessage;
  vAPI.cloud = (function() {
      // Not all platforms support `chrome.storage.sync`.
      if ( chrome.storage.sync instanceof Object === false ) {
          return;
      }
      //no need to handle chunks for now
      return {
        get: chrome.storage.sync.get.bind(chrome.storage.sync),
        set: chrome.storage.sync.set.bind(chrome.storage.sync)
      };
  })();

  vAPI.setTimeout = vAPI.setTimeout || self.setTimeout.bind(self);

})(this);
